/**
 * Created by JianJia.Zhou<jianjia.zhou> on 2022/8/14.
 */
import { getToken } from '../../utils/auth'
const request = uni.$u.http

export async function login() {
  return new Promise(resolve => {
    uni.showLoading({
      title: '数据加载中...',
      mask: true
    })
    uni.login({
      provider: uni.$u.platform,
      success: loginRes => {
        uni.hideLoading()
        return request.post(
          '/passport/login',
          { code: loginRes.code }
        ).then(res => {
          resolve(res)
        })
      }
    })
  })
}

export function isLogin() {
  return !!getToken()
}

export default {
  login,
  isLogin
}
